Bug 69014 - Give me back the installer UI post-install!
Give me back the installer UI post-install!
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 19:06 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 13:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-16 19:06:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
The novice user learns of options and settings in the installer; that's where 
they are located in their minds.  However, they can never get back there, 
including several very useful high-level options such as package groupings, 
without reinstalling the whole damn product!  Why not allow the user to re-run 
the installer, not in upgrade mode, but in a "modify installation" mode where 
only the panels that can be changed post-install (including e.g. Firewall 
settings) are displayed, IDENTICAL to what they saw before, so they don't have 
to learn two different interfaces onto the same functionality.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the product
2. Decide you want to change something
3. Scream in frustration that you can't find that functionality again without 
re-installing the whole damn product (e.g. the firewall settings, lokkit isn't 
identical, or the package groupings)
	

Actual Results:  I felt like putting my fist through the monitor.  Getting less 
painful in flat-panel days.

Expected Results:  1.  Install the product.
2.  Decide I want to change something.
3.  Rerun the installer, which is now a control panel application 
called "Modify Installation", and only includes panels and options that can be 
changed without reinstalling the whole product.

Additional info:

This is a no-brainer win win win.  Don't shove this to the back burner.  Do it.
--Peter Jensen
Comment 1 Brent Fox 2002-08-01 14:29:15 EDT
Most of the screens in anaconda that can be made into stand-alone applications
have been for the upcoming release.  For example, the language, keyboard, mouse,
firewall, rootpassword, and package screens are now all standalone apps. 
Although they are not available in the installer step-style framework after
installation, it should not be hard to use the "Start-Here" control panel to
find the tool you are looking for.  

Although it is not exactly what you're asking for, I think it gets most of the
functionality that users need.  This is a good idea, and thank you for your report.
Comment 2 Need Real Name 2002-08-01 15:03:47 EDT
Thanks for considering this suggestion.  I think it would be helpful if you 
included in the notes on each anaconda panel where I can regain this 
functionality post-install, or at least where I can read about it (and giving 
me the option of bookmarking those points would be nice).

There is no substitute for real usability testing.  You may assume that only a 
certain level of technical acumen installs your product.  If so, then you are 
also assuming that you are shipping a niche product...and your corporate growth 
will reflect this.  Even dyed-in-the-wool nerds will follow the path of least 
resistance when setting up custom in a supplier.  

I ended up overcoming the unforgiving out-of-box in your version 7.3, but not 
before I had sworn never to touch Linux again.  It doesn't have to be this way.

Note You need to log in before you can comment on or make changes to this bug.